Package weka.core.pmml.jaxbbindings

# Class INTSparseArray

java.lang.Object
weka.core.pmml.jaxbbindings.INTSparseArray

public class INTSparseArray extends Object

Java class for INT-SparseArray element declaration.

The following schema fragment specifies the expected content contained within this class.

     <element name="INT-SparseArray">
       <complexType>
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element ref="{http://www.dmg.org/PMML-4_1}Indices" minOccurs="0"/>
               <element ref="{http://www.dmg.org/PMML-4_1}INT-Entries" minOccurs="0"/>
             </sequence>
             <attribute name="defaultValue" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" default="0" />
             <attribute name="n" type="{http://www.dmg.org/PMML-4_1}INT-NUMBER" />
           </restriction>
         </complexContent>
       </complexType>
     </element>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `INTSparseArray()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BigInteger`
  `getDefaultValue()`
  Gets the value of the defaultValue property.
  `List<Integer>`
  `getIndices()`
  Gets the value of the indices property.
  `List<Integer>`
  `getINTEntries()`
  Gets the value of the intEntries property.
  `BigInteger`
  `getN()`
  Gets the value of the n property.
  `void`
  `setDefaultValue(BigInteger value)`
  Sets the value of the defaultValue property.
  `void`
  `setN(BigInteger value)`
  Sets the value of the n property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### INTSparseArray

    public INTSparseArray()

- ## Method Details

  - ### getIndices

    public List<Integer> getIndices()
    Gets the value of the indices property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the indices property.

    For example, to add a new item, do as follows:

            getIndices().add(newItem);

    Objects of the following type(s) are allowed in the list `Integer`

  - ### getINTEntries

    public List<Integer> getINTEntries()
    Gets the value of the intEntries property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the intEntries property.

    For example, to add a new item, do as follows:

            getINTEntries().add(newItem);

    Objects of the following type(s) are allowed in the list `Integer`

  - ### getDefaultValue

    public BigInteger getDefaultValue()
    Gets the value of the defaultValue property.
    Returns:
      possible object is `BigInteger`

  - ### setDefaultValue

    public void setDefaultValue(BigInteger value)
    Sets the value of the defaultValue property.
    Parameters:
      `value` - allowed object is `BigInteger`

  - ### getN

    public BigInteger getN()
    Gets the value of the n property.
    Returns:
      possible object is `BigInteger`

  - ### setN

    public void setN(BigInteger value)
    Sets the value of the n property.
    Parameters:
      `value` - allowed object is `BigInteger`